## com.lowagie.text.pdf.hyphenation
Class Hyphenation

    java.lang.Object
      com.lowagie.text.pdf.hyphenation.Hyphenation

    public class Hyphenation

extends java.lang.Object

This class represents a hyphenated word.

Author:
  Carlos Villegas <cav@uniscope.co.jp>

Field Summary
`private int[]` `hyphenPoints`
`private int` `len` number of hyphenation points in word
`private java.lang.String` `word`

Constructor Summary
`Hyphenation(java.lang.String word, int[] points)` rawWord as made of alternating strings and `Hyphen` instances

Method Summary
`int[]` `getHyphenationPoints()`
`java.lang.String` `getPostHyphenText(int index)`
`java.lang.String` `getPreHyphenText(int index)`
`int` `length()`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### hyphenPoints

    private int[] hyphenPoints

### word

    private java.lang.String word

### len

    private int len

  number of hyphenation points in word

Constructor Detail

### Hyphenation

    Hyphenation(java.lang.String word,
                int[] points)

  rawWord as made of alternating strings and `Hyphen` instances

Method Detail

### length

    public int length()

  Returns:
    the number of hyphenation points in the word

### getPreHyphenText

    public java.lang.String getPreHyphenText(int index)

  Returns:
    the pre-break text, not including the hyphen character

### getPostHyphenText

    public java.lang.String getPostHyphenText(int index)

  Returns:
    the post-break text

### getHyphenationPoints

    public int[] getHyphenationPoints()

  Returns:
    the hyphenation points

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`